## IDF Component Manager Manifest File
dependencies:
  ## Required IDF version
  idf:
    version: '>=4.1.0'
  # # Put list of dependencies here
  # # For components maintained by Espressif:
  # component: "~1.0.0"
  # # For 3rd party components:
  # username/component: ">=1.0.0,<2.0.0"
  # username2/component2:
  #   version: "~1.0.0"
  #   # For transient dependencies `public` flag can be set.
  #   # `public` flag doesn't have an effect dependencies of the `main` component.
  #   # All dependencies of `main` are public by default.
  #   public: true
  espressif/esp_lvgl_port:
    rules:
    - if: target in ["esp32p4","esp32, "esp32s3"]
    version: ^2.7.0
  lvgl/lvgl:
    rules:
    - if: target in ["linux"]
    version: 9.4.0
  espressif/esp_lcd_qemu_rgb:
    rules:
    - if: target in ["esp32, "esp32s3"]
    version: ^1